include(../wwwidgets_install.pri)

HEADERS += wwwidgets.h wwinterfaces.h colorlisteditor.h
SOURCES += wwwidgets.cpp wwinterfaces.cpp colorlisteditor.cpp
DEFINES += WW_NO_BREADCRUMB

for(cls, WWWIDGETS){
    low = $$lower($$cls)
    HEADERS += $${low}iface.h
    SOURCES += $${low}iface.cpp
}


FORMS += about.ui colorlisteditor.ui

TEMPLATE = lib
CONFIG += plugin designer warn_on release
# deps

unix {
 LIBS += -L../widgets -lwwwidgets4
 QMAKE_CXXFLAGS_RELEASE -= -g
}

win32 {
    CONFIG(release): LIBS += -L../widgets/release -lwwwidgets4
    CONFIG(debug): LIBS += -L../widgets/debug -lwwwidgets4d
}

mac {
  LIBS += -framework wwwidgets4
}

TARGET = wwwidgetsplugin

# install
target.path = $$[QT_INSTALL_PLUGINS]/designer
INSTALLS += target




for(cls, WWWIDGETS): INCLUDEPATH += ../widgets/$$lower($$cls)

INCLUDEPATH += ../widgets/ .