include(../wwwidgets_install.pri)

for(cls, WWWIDGETS){
    low = $$lower($$cls)
    basefil = $${low}/$${low}
    pubfil = $${basefil}.h
    prifil = $${basefil}_p.h
    HEADERS += $$pubfil
    exists($$prifil): HEADERS += $$prifil
    SOURCES += $${basefil}.cpp
    INCLUDEPATH += $${low}
    unix : !exists($${lower($$cls)}/$${cls}):system(../genhdr.sh $$cls $${lower($$cls)}):message($${cls} global header generated)
}

HEADERS += wwglobal.h wwglobal_p.h colormodel.h qwwbuttonlineedit/qwwbuttonlineedit_p.h
SOURCES += wwglobal_p.cpp colormodel.cpp
FORMS += qwwloginbox/loginbox.ui

RESOURCES += ../images/wwwidgets.qrc
INCLUDEPATH += .

TEMPLATE = lib
CONFIG += warn_on
CONFIG += wwwidgets_install_win32
TARGET = wwwidgets4

CONFIG += debug_and_release


CONFIG(release, debug|release){
  CONFIG-=debug
  *-g++:QMAKE_CXXFLAGS_RELEASE -=-g
}

CONFIG(debug, debug|release) {
  unix:TARGET = $$join(TARGET,,,d)
  mac:TARGET = $$join(TARGET,,,_debug)
}

target.path = $$[QT_INSTALL_LIBS]
INSTALLS += target


win32 {
    CONFIG(release, debug|release): TARGETBIN.files = release\wwwidgets4.dll
    CONFIG(debug, debug|release): TARGETBIN.files = debug\wwwidgets4d.dll
    TARGETBIN.path = $$[QT_INSTALL_BINS]
    INSTALLS += TARGETBIN
    CONFIG += build_all
}

mac {
    CONFIG += lib_bundle
}

DEFINES += WW_BUILD_WWWIDGETS
DISTFILES += ../TODO

